function gendata_save %[Y, X0] = gendata_save(ct, fname)

init = 10^2; 
num_datasets = 100;

% changing noise (ct)
ct = [0.1 1 10]; 

for i = 1:size(ct,2) %loop noise
    for j = 1:num_datasets %loop dataset
        [Y, X0, beta_true, ~, pmax, ~] = gendata(ct(i), init); %find(beta_true(:,1)~=0)
        formatSpec = 'psi_%.1f/data_%d.mat';
        fname = sprintf(formatSpec,ct(i),j)
        save(fname,'Y', 'X0', 'beta_true', 'pmax');
    end
end

end